Package com.pixelmed.doseocr

## Class RenderedDoseReport

- java.lang.Object
- - com.pixelmed.doseocr.RenderedDoseReport

-     public class RenderedDoseReport
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RenderedDoseReport()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `generateDoseReportInformationFromFiles​(java.util.Vector paths, boolean summary)` | Extract dose information from a screen or report, correlate it with any acquired CT slice images as required, and generate a human-readable report.
    `static java.lang.String` | `generateDoseReportInformationFromFiles​(java.util.Vector paths, boolean summary, java.lang.String contentType)` | Extract dose information from a screen or report, correlate it with any acquired CT slice images as required, and generate a human-readable report.
    `static void` | `main​(java.lang.String[] arg)` | Extract dose information from a screen or report, correlate it with any acquired CT slice images as required, and generate a human-readable report.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RenderedDoseReport

          public RenderedDoseReport()

  - ### Method Detail

    - #### generateDoseReportInformationFromFiles

          public static java.lang.String generateDoseReportInformationFromFiles​(java.util.Vector paths,
                                                                                boolean summary)

      Extract dose information from a screen or report, correlate it with any acquired CT slice images as required, and generate a human-readable report.

      Parameters:
        `paths` - a Vector of String paths to a DICOMDIR or folder or list of files containing dose screens, reports and acquired CT slices
        `summary` - if true generate a summary only, otherwise tabulate the acquisition and technique data

    - #### generateDoseReportInformationFromFiles

          public static java.lang.String generateDoseReportInformationFromFiles​(java.util.Vector paths,
                                                                                boolean summary,
                                                                                java.lang.String contentType)

      Extract dose information from a screen or report, correlate it with any acquired CT slice images as required, and generate a human-readable report.

      Parameters:
        `paths` - a Vector of String paths to a DICOMDIR or folder or list of files containing dose screens, reports and acquired CT slices
        `summary` - if true generate a summary only, otherwise tabulate the acquisition and technique data
        `contentType` - the type of text content to be generated, e.g., "text/html"; will be plain text if null or unrecognized

    - #### main

          public static final void main​(java.lang.String[] arg)

      Extract dose information from a screen or report, correlate it with any acquired CT slice images as required, and generate a human-readable report.

      Parameters:
        `arg` - one or more paths to a DICOMDIR or folder or dose screens, reports and acquired CT slices, then an optional SUMMARY or FULL argument, then HTML or TEXT argument (default is SUMMARY TEXT)